description

# TextTrackCue class Null safety

Inheritance
  - Object
  - EventTarget
  - TextTrackCue
Implementers
  - VttCue
Annotations
  - @Native("TextTrackCue")

## Properties

endTime ↔ num?
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
id ↔ String?
  read / write
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onEnter → Stream<Event>
  Stream of `enter` events handled by this TextTrackCue.
  read-only
onExit → Stream<Event>
  Stream of `exit` events handled by this TextTrackCue.
  read-only
pauseOnExit ↔ bool?
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
startTime ↔ num?
  read / write
track → TextTrack?
  read-only

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

enterEvent → const EventStreamProvider<Event>
  Static factory designed to expose `enter` events to event handlers that are not necessarily instances of TextTrackCue. [...]
  `const EventStreamProvider<Event>('enter')`
exitEvent → const EventStreamProvider<Event>
  Static factory designed to expose `exit` events to event handlers that are not necessarily instances of TextTrackCue. [...]
  `const EventStreamProvider<Event>('exit')`